v1.0.0
OpenAPI 3.1.0
Get a translation of a broadcast message
Client Libraries
US region
Returns information about a translation of message in a broadcast. The message is identified by the action_id.
The identifier of a broadcast.
The action you want to lookup or act on.
A language tag of a language variant. If you don't provide a language (an empty string), we'll use your default language. If the language variant does not exist, we'll return an error.
The broadcastID, actionID or triggerID is invalid. Or the language does not exist for this action.
The broadcast, action, and/or trigger do not exist.
Your request is over the 10-per-second limit.
curl 'https://api.customer.io/v1/broadcasts/1/actions/1/language/{language}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"action": {
"id": 96,
"broadcast_id": 2,
"deduplicate_id": "15:1492548073",
"name": "Opening Message",
"layout": "string",
"created": 1552341937,
"updated": 1552341937,
"body": "string",
"type": "email",
"sending_state": "automatic",
"language": "fr",
"from": "sentFrom@example.com",
"from_id": 1,
"reply_to": "replyto@example.com",
"reply_to_id": 38,
"preprocessor": "premailer",
"recipient": "{{customer.email}}",
"subject": "Did you get that thing I sent you?",
"cc": "string",
"bcc": "string",
"fake_bcc": true,
"preheader_text": "string",
"body_amp": "string",
"headers": "[{\"name\":\"X-Mailgun-Tag\",\"value\":\"my-cool-tag\"},{\"name\":\"X-Custom-Header\",\"value\":\"custom-value\"}]"
}
}Returns information for the requested language variant for a broadcast action.